
Redmine - Feature #3470

Projects should inherit documents and files from sub-projects

2009-06-10 05:26 - Aaron Hicks

Status: Closed Start date: 2009-06-10

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Projects Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate   

Description

The document and file tabs for a project should include all the documents and files attached to sub-projects, similar to the issues tab.

Ideally these should be separated by sub-project headings eg.

Project

document

document

document

Sub-Project 1

document

document

Sub-Project 2

document

Related issues:

Is duplicate of Redmine - Feature #1878: Inherit parts of parent project by s... New 2008-09-09

History

#1 - 2009-06-10 09:58 - Paul Rivier

Hi Aaron, this is not inheritance but accumulation. Inheritence and accumulation across related projects is a very promising feature that must be

carefuly discussed. For documents and file I also think a couple of checkbox « show parents » (inheritence) and « show children » (accumulation)

would do the job.

#2 - 2009-06-10 23:08 - Aaron Hicks

Paul Rivier wrote:

Hi Aaron, this is not inheritance but accumulation. Inheritence and accumulation across related projects is a very promising feature that must be

carefuly discussed. For documents and file I also think a couple of checkbox « show parents » (inheritence) and « show children »

(accumulation) would do the job.

 Hi Paul,

Yes, this is an improved idea of how accumulation an inheritence should work. I'd also like to see issues and versions be able to be inherited by

sub-projects, but that's getting a bit complex.

We're looking at Redmine for overall project management here, rather than just for software development, and we're finding we need projects to be

more aware of the state of other projects.

#3 - 2010-06-24 12:49 - Oskar Nordquist

+1

#4 - 2010-07-27 21:19 - John Howard

+1
#5 - 2011-08-11 05:29 - Devon Bleibtrey

+1

#6 - 2011-10-26 20:51 - Mischa The Evil

- Status changed from New to Closed

- Resolution set to Duplicate

Closed as a dup. of #1878.
